/**
 * Created by robin on 11/1/15.
 */

(function () {
    'use strict';
    angular.module('luticateAuth')
        .factory('luticateAuthUsersDataAccess', ['luticateRequest',
            function(luticateRequest) {

                var luticateAuthUsers = {};

                luticateAuthUsers.login = function(data, promise)
                {
                    return luticateRequest.post("/api/luticate/users/login", data, null, promise);
                };

                luticateAuthUsers.logout = function(promise)
                {
                    return luticateRequest.post("/api/luticate/users/logout", null, null, promise);
                };

                luticateAuthUsers.getAll = function(data, promise)
                {
                    return luticateRequest.get("/api/luticate/users", data, promise);
                };

                luticateAuthUsers.get = function(data, promise)
                {
                    return luticateRequest.get("/api/luticate/users/" + data.user_id, null, promise);
                };

                luticateAuthUsers.getMe = function(promise)
                {
                    return luticateRequest.get("/api/luticate/users/me", null, promise);
                };

                luticateAuthUsers.edit = function(data, promise)
                {
                    return luticateRequest.post("/api/luticate/users/" + data.user_id + "/edit", data, null, promise);
                };

                luticateAuthUsers.editMe = function(data, promise)
                {
                    return luticateRequest.post("/api/luticate/users/me/edit", data, null, promise);
                };

                luticateAuthUsers.add = function(data, promise)
                {
                    return luticateRequest.post("/api/luticate/users/add", data, null, promise);
                };

                luticateAuthUsers.setPassword = function(data, promise)
                {
                    return luticateRequest.post("/api/luticate/users/" + data.user_id + "/setPassword", data, null, promise);
                };

                luticateAuthUsers.setPasswordMe = function(data, promise)
                {
                    return luticateRequest.post("/api/luticate/users/me/setPassword", data, null, promise);
                };

                luticateAuthUsers.del = function(data, promise)
                {
                    return luticateRequest.post("/api/luticate/users/" + data.user_id + "/del", null, null, promise);
                };

            return luticateAuthUsers;
        }]);
})();